This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 209617 - Review Request: comix - A user-friendly, customizable image viewer
Review Request: comix - A user-friendly, customizable image viewer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-06 08:51 EDT by Mamoru TASAKA
Modified: 2008-10-03 05:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-07 00:07:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2006-10-06 08:51:39 EDT
Spec URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/comix.spec
SRPM URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/comix-3.6-1.src.rpm
Description: 
Comix is a user-friendly, customizable image viewer. 
It is specifically designed to handle comic books, but 
also serves as a generic viewer. It reads images in ZIP, 
RAR or tar archives (also gzip or bzip2 compressed) as 
well as plain image files. It is written in Python and 
uses GTK+ through the PyGTK bindings.
Comment 1 Mamoru TASAKA 2006-10-06 09:41:41 EDT
Note: rpmlint says:

W: comix non-conffile-in-etc /etc/gconf/schemas/comix.schemas

However, this is not a configuration file and files under
/etc/gconf/schemas are usually not marked as %config
( as you can see these files in epiphany. yelp, planner, etc)
Comment 2 Jason Tibbitts 2006-10-06 20:23:10 EDT
Hmm, the source doesn't match upstream.  Ahh, because the source URL gives me
some HTML for selecting a mirror.  You should use dl.sourceforge.net instead of
prdownloads.sourceforge.net.  I also had to manually add a mirror (easynews) in
order to actually download the source, since the sourceforge mirror system is so
broken.

The non-conffile-in-etc bit is known to be bogus for gconf schemas.

This package owns /etc/gconf, which is owned by GConf in FC5 but which is
completely unowned in FC6.  Ouch.  This package also owns /etc/gconf/schemas,
which unfortunately doesn't seem to be owned by GConf as it should.  I really
don't know what this package should do; I guess owning those directories is
better than leaving them unowned, but this should be fixed in Core and if it is
this package will need to stop owning those directories.

So I'll approve this package for FC6/rawhide, but for FC5 you will need to stop
owning /etc/gconf.

* source files match upstream:
   2d6034c5c032fcb5fe257048d64364a8  comix-3.6.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint has only bogus complaints.
* final provides and requires are sane:
   comix = 3.6-1.fc6
  =
   /bin/sh
   /usr/bin/env
   /usr/bin/jpegtran
   GConf2
   pygtk2
   python-imaging
* %check is not present; no test suite upstream.  Package manually tested and
seems to work fine.
* owns the directories it creates.
? owns /etc/gconf; in FC5, it must not.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (gconf schema installation, icon cache update, desktop
database update, mime database update)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* .desktop file installed properly

APPROVED
Comment 3 Mamoru TASAKA 2006-10-07 00:07:56 EDT
Thank you for a quick review and approving this package!!

* Rebuild for FE-devel succeeded.
* SyncNeeded is requested for FE-5.

Now I close this bug as CLOSED NEXTRELEASE.
Comment 4 Mamoru TASAKA 2006-10-07 12:10:03 EDT
(In reply to comment #2)
>  You should use dl.sourceforge.net instead of
> prdownloads.sourceforge.net.  

I changed URL as you recommended.


> This package owns /etc/gconf, which is owned by GConf in FC5 but which is
> completely unowned in FC6.  Ouch. 

Well, I checked FC5, however, /etc/gconf is not owned by GConf2 (I have
not checked GConf because this package does not require GConf) and..
/etc/gconf is not owned by any packages required by this package in FC5,
either. So I have to make this package own /etc/gconf in FC5, too

(I strongly think that some other package should own /etc/gconf and
/etc/gconf/schemas)

> This package also owns /etc/gconf/schemas,
> which unfortunately doesn't seem to be owned by GConf as it should.  
This is the same for FC5.

Comment 5 Mamoru TASAKA 2008-10-02 01:53:01 EDT
Package Change Request
======================
Package Name: comix
New Branches: F-10
Owners: mtasaka

Early branching request.
Comment 6 Huzaifa S. Sidhpurwala 2008-10-03 01:01:46 EDT
cvs done

Note You need to log in before you can comment on or make changes to this bug.